Debian Bug report logs - #248397
RFH: grub2 -- GRand Unified Bootloader

Package: wnpp; Maintainer for wnpp is wnpp@debian.org;

Reported by: Robert Millan <rmh@aybabtu.com>

Date: Mon, 10 May 2004 22:33:02 UTC

Severity: normal

Reply or subscribe to this bug.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, debian-devel@lists.debian.org, <wnpp@debian.org>:
Bug#248397; Package wnpp. Full text and rfc822 format available.

Acknowledgement sent to Robert Millan <zeratul2@wanadoo.es>:
New Bug report received and forwarded. Copy sent to debian-devel@lists.debian.org, <wnpp@debian.org>. Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Robert Millan <zeratul2@wanadoo.es>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Cc: Jason Thomas <jason@debian.org>
Subject: RFH: grub -- GRand Unified Bootloader
Date: Mon, 10 May 2004 22:50:52 +0200
Package: wnpp
Severity: wishlist

GRUB is currently maintained collatively by the pkg-grub-devel team, which
is just me and Jason Thomas <jason@debian.org>.

The package is growing both in features and number of users and takes more
work every time. We need more volunteers to participate in GRUB maintainance.

A simple task that would help much is merely lurking at the BTS, testing
patches, sorting out non-bugs, and noticing us when action needs to be taken
(such as adding a patch in new upload, close a bug, etc)

-- System Information:
Debian Release: testing/unstable
  APT prefers unstable
  APT policy: (500, 'unstable')
Architecture: i386 (i686)
Kernel: Linux 2.4.26-1-k7
Locale: LANG=C, LC_CTYPE=C

-- 
Robert Millan

"[..] but the delight and pride of Aule is in the deed of making, and in the
thing made, and neither in possession nor in his own mastery; wherefore he
gives and hoards not, and is free from care, passing ever on to some new work."

 -- J.R.R.T., Ainulindale (Silmarillion)



Severity set to `normal'. Request was from Frank Lichtenheld <djpig@merkel.debian.org> to control@bugs.debian.org. Full text and rfc822 format available.

Changed Bug submitter from Robert Millan <zeratul2@wanadoo.es> to Robert Millan <rmh@debian.org>. Request was from Robert Millan <rmh@debian.org> to control@bugs.debian.org. Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, <wnpp@debian.org>:
Bug#248397; Package wnpp. Full text and rfc822 format available.

Acknowledgement sent to Fabio Tranchitella <kobold@kobold.it>:
Extra info received and forwarded to list. Copy sent to <wnpp@debian.org>. Full text and rfc822 format available.

Message #14 received at 248397@bugs.debian.org (full text, mbox):

From: Fabio Tranchitella <kobold@kobold.it>
To: 248397@bugs.debian.org
Subject: Grub debian package, can I help you?
Date: Tue, 7 Sep 2004 16:16:26 +0200
[Message part 1 (text/plain, inline)]
Hi, I'm interested in helping you with grub Debian package.
I'm wondering about looking at the bugs of the package and fix
some of them (especially related to update-grub).

IMHO some of the bugs of grub are quite easy to fix...
If you are interested, I can start working on it. I'm not (yet)
a DD, so when I have a (quite) complete patch I'll ask you for
a new upload.

Thanks,

-- 
Fabio Tranchitella                         http://www.kobold.it
Studio Tranchitella Assoc. Professionale   http://www.tranchitella.it
_____________________________________________________________________
1024D/7F961564, fpr 5465 6E69 E559 6466 BF3D 9F01 2BF8 EE2B 7F96 1564
[signature.asc (application/pgp-signature, inline)]

Changed Bug submitter from Robert Millan <rmh@debian.org> to Robert Millan <rmh@aybabtu.com>. Request was from Robert Millan <rmh@aybabtu.com> to control@bugs.debian.org. Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, <wnpp@debian.org>:
Bug#248397; Package wnpp. Full text and rfc822 format available.

Acknowledgement sent to Salman AS <sas@salman.or.id>:
Extra info received and forwarded to list. Copy sent to <wnpp@debian.org>. Full text and rfc822 format available.

Message #21 received at 248397@bugs.debian.org (full text, mbox):

From: Salman AS <sas@salman.or.id>
To: 248397@bugs.debian.org
Subject: Would like to help!
Date: Sun, 12 Feb 2006 15:58:49 +0700
-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1


Hi, I'm interested too!
Also, I am not an DD.

- --
sas
sas@salman.or.id
-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.2.5 (GNU/Linux)

iD8DBQFD7vjHGVDSUFCd2LARAvJ4AJ9eV2vGhkIPXjBwxyBOFdXWOFtEtgCeJLrM
aFo6jSWpWoV6cV1DzvGl9lE=
=bWqF
-----END PGP SIGNATURE-----



Information forwarded to debian-bugs-dist@lists.debian.org, <wnpp@debian.org>:
Bug#248397; Package wnpp. Full text and rfc822 format available.

Acknowledgement sent to fsateler@gmail.com:
Extra info received and forwarded to list. Copy sent to <wnpp@debian.org>. Full text and rfc822 format available.

Message #26 received at 248397@bugs.debian.org (full text, mbox):

From: fsateler@gmail.com
To: 248397@bugs.debian.org
Cc: 248397-submitter@bugs.debian.org
Subject: Bug status
Date: Sun, 16 Apr 2006 18:35:06 -0400 (CLT)
Hi. I'm writing this mail to check what is this bug's status.
Note that this is not meant as an offer for help, but rather as a
ping to submitters to clarify wether help is still needed, or if help
has already come, for some of the RFH bugs have been open for a long
time, and it may be that they no longer need help. If you find that
this bug (#248397) is no longer needed, please consider closing it.



Message sent on to Robert Millan <rmh@aybabtu.com>:
Bug#248397. Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, <wnpp@debian.org>:
Bug#248397; Package wnpp. Full text and rfc822 format available.

Acknowledgement sent to Robert Millan <rmh@aybabtu.com>:
Extra info received and forwarded to list. Copy sent to <wnpp@debian.org>. Full text and rfc822 format available.

Message #34 received at 248397@bugs.debian.org (full text, mbox):

From: Robert Millan <rmh@aybabtu.com>
To: fsateler@gmail.com, 248397-quiet@bugs.debian.org
Cc: 248397@bugs.debian.org, 248397-submitter@bugs.debian.org
Subject: Re: Bug#248397: Bug status
Date: Mon, 17 Apr 2006 05:57:55 +0200
On Sun, Apr 16, 2006 at 06:35:06PM -0400, fsateler@gmail.com wrote:
> Hi. I'm writing this mail to check what is this bug's status.
> Note that this is not meant as an offer for help, but rather as a
> ping to submitters to clarify wether help is still needed, or if help
> has already come, for some of the RFH bugs have been open for a long
> time, and it may be that they no longer need help. If you find that
> this bug (#248397) is no longer needed, please consider closing it.

I'm no longer involved with grub maintainance, so I can't really tell.

-- 
Robert Millan



Information stored:
Bug#248397; Package wnpp. Full text and rfc822 format available.

Acknowledgement sent to Robert Millan <rmh@aybabtu.com>:
Extra info received and filed, but not forwarded. Full text and rfc822 format available.

Message sent on to Robert Millan <rmh@aybabtu.com>:
Bug#248397. Full text and rfc822 format available.

Information stored:
Bug#248397; Package wnpp. Full text and rfc822 format available.

Acknowledgement sent to 248397-quiet@bugs.debian.org:
Extra info received and filed, but not forwarded. Full text and rfc822 format available.

Message #47 received at 248397-quiet@bugs.debian.org (full text, mbox):

From: Bart Martens <bartm@debian.org>
To: jason@debian.org, otavio@debian.org
Cc: pkg-grub-devel@lists.alioth.debian.org, rmh@debian.org, 248397-quiet@bugs.debian.org
Subject: grub in Debian
Date: Sun, 16 Dec 2007 12:57:12 +0100
Hello Jason, hello Otavio,

Are you both still involved in the maintenance of the Debian package
"grub" ?  Still need help ?

http://bugs.debian.org/cgi-bin/bugreport.cgi?bug=248397
http://bugs.debian.org/cgi-bin/pkgreport.cgi?src=grub
http://packages.qa.debian.org/g/grub.html

Regards,

Bart Martens






Information stored:
Bug#248397; Package wnpp. Full text and rfc822 format available.

Message #50 received at 248397-quiet@bugs.debian.org (full text, mbox):

From: Robert Millan <rmh@aybabtu.com>
To: 248397-quiet@bugs.debian.org
Cc: jason@debian.org, otavio@debian.org, pkg-grub-devel@lists.alioth.debian.org
Subject: Re: grub in Debian
Date: Tue, 1 Jan 2008 19:57:46 +0100
On Sun, Dec 16, 2007 at 12:57:12PM +0100, Bart Martens wrote:
> Hello Jason, hello Otavio,
> 
> Are you both still involved in the maintenance of the Debian package
> "grub" ?  Still need help ?

We're trying to get GRUB 2 in a state that can replace GRUB completely.
Lots of progress has been made, but we're still not there.

In the meantime, GRUB Legacy is mostly left in the cold.

So yes, some help would be useful.  But I don't think it's worth to spend
a lot of effort on GRUB Legacy since it's going to be replaced soon.

-- 
Robert Millan

<GPLv2> I know my rights; I want my phone call!
<DRM> What use is a phone call, if you are unable to speak?
(as seen on /.)




Information forwarded to debian-bugs-dist@lists.debian.org, <wnpp@debian.org>:
Bug#248397; Package wnpp. (Tue, 12 May 2009 19:03:02 GMT) Full text and rfc822 format available.

Message #53 received at 248397@bugs.debian.org (full text, mbox):

From: Robert Millan <rmh@aybabtu.com>
To: 248397@bugs.debian.org
Subject: GRUB 2 RFH
Date: Tue, 12 May 2009 20:56:44 +0200
retitle 248397 grub2 -- GRand Unified Bootloader
thanks

20:43 <bartm> right, hello robert
20:43 <bartm> still need help with grub ?
20:43 <bartm> not yet replaced by grub2...
20:43 <bartm> i'm not sure how I can help besides commenting on the bug report
20:44 <bartm> or can I do the next upload, to include the good patches ?
[...]
20:49 <nyu> the report is for grub2 now, basically
20:49 <nyu> grub legacy is a dead branch, don't waste your time on it
20:49 <bartm> hmm
20:50 <nyu> if you want to help, you could subscribe to pkg-grub-devel (debian) and grub-devel (upstream) and see if you can comment on bug reports
20:50 <bartm> shouldn't then grub be orphaned/removed and grub2 take its place in queeze now ?
20:50 <bartm> that is, squeeze, obviously :)
20:50 <nyu> yes
20:50 <nyu> but it's a slow process
20:51 <nyu> http://wiki.debian.org/GrubTransition documents what's missing in order to transition
20:51 <nyu> this should be worked on in coordination with upstream
20:51 <bartm> please comment that on the RFH
20:51 <nyu> mind if I just copy-paste this conversation?
20:52 <bartm> ok go ahead

-- 
Robert Millan

  The DRM opt-in fallacy: "Your data belongs to us. We will decide when (and
  how) you may access your data; but nobody's threatening your freedom: we
  still allow you to remove your data and not access it at all."




Changed Bug title to `grub2 -- GRand Unified Bootloader' from `RFH: grub -- GRand Unified Bootloader'. Request was from Robert Millan <rmh@aybabtu.com> to control@bugs.debian.org. (Tue, 12 May 2009 19:03:03 GMT) Full text and rfc822 format available.

Changed Bug title to `RFH: grub2 -- GRand Unified Bootloader' from `grub2 -- GRand Unified Bootloader'. Request was from Raphael Geissert <atomo64@gmail.com> to control@bugs.debian.org. (Wed, 13 May 2009 21:06:16 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org:
Bug#248397; Package wnpp. (Sat, 07 Jul 2012 23:33:06 GMT) Full text and rfc822 format available.

Acknowledgement sent to Jonathan Nieder <jrnieder@gmail.com>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org. (Sat, 07 Jul 2012 23:33:06 GMT) Full text and rfc822 format available.

Message #62 received at 248397@bugs.debian.org (full text, mbox):

From: Jonathan Nieder <jrnieder@gmail.com>
To: grub-pc@packages.debian.org
Cc: 248397@bugs.debian.org
Subject: Re: GRUB 2 RFH
Date: Sat, 7 Jul 2012 18:27:55 -0500
Hi!

Robert Millan wrote:

> 20:43 <bartm> right, hello robert
> 20:43 <bartm> still need help with grub ?
> 20:43 <bartm> not yet replaced by grub2...
> 20:43 <bartm> i'm not sure how I can help besides commenting on the bug report
> 20:44 <bartm> or can I do the next upload, to include the good patches ?
[...]
> 20:50 <nyu> if you want to help, you could subscribe to
> pkg-grub-devel (debian) and grub-devel (upstream) and see if you can
> comment on bug reports

I'm doing a few seconds of triage of wnpp bugs.

If I understand correctly, the grub team, like most maintenance teams
of core packages, is looking for helpers and co-maintainers.  I don't
see grub listed at http://wiki.debian.org/Teams so it seems possible
that potential helpers exist who do not know how to get their feet wet
without establishing contact first and potentially (in their eyes)
having to commit to helping out before knowing what it is like.

What do you recommend for such hypothetical people?  Could you suggest
a few words of wisdom here, for someone to digest and add to the wiki
as time allows?

For example:

 - what mailing lists should interested people subscribe to?

 - are there existing documents on how to test new versions of grub in
   qemu to test changes or triage bugs?  Is there an upstream page
   with documentation of the boot protocol and other helpful technical
   background?

 - any confusing policies or other pitfalls for new contributors?

 - what kind of help is needed at the moment --- tracking upstream
   development, testing, forwarding bugs, finding the commit that
   fixes bugs known to have been fixed, backporting changes to stable,
   hacking on maintainer scripts, packaging snapshots for
   experimental, reviewing proposed changes, coordinating uploads,
   finding good downstream fixes to apply, or something else?

Once the information for potential helpers to get started is easy to
find, I think this bug can be closed.

Thanks and hope that helps,
Jonathan




Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org:
Bug#248397; Package wnpp. (Wed, 12 Dec 2012 11:57:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Martin Naughton <blades2000@gmail.com>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org. (Wed, 12 Dec 2012 11:57:03 GMT) Full text and rfc822 format available.

Message #67 received at 248397@bugs.debian.org (full text, mbox):

From: Martin Naughton <blades2000@gmail.com>
To: grub-pc@packages.debian.org
Cc: 248397@bugs.debian.org
Subject: Subject: Re: GRUB 2 RFH
Date: Wed, 12 Dec 2012 11:53:54 +0000
[Message part 1 (text/plain, inline)]
Hello Grub,
                Do you still need help. Me and another guy are interested
in helping. Can you indicate if you still need help. We are not DD yet but
we are learning. We can help with the testing of grub and fix bugs while
you can develop the application. If not help is needed can the ticket be
closed?

http://bugs.debian.org/cgi-bin/bugreport.cgi?bug=248397

-- 
Regards
Martin Naughton
[Message part 2 (text/html, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org:
Bug#248397; Package wnpp. (Fri, 28 Dec 2012 07:15:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Colin Watson <cjwatson@debian.org>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org. (Fri, 28 Dec 2012 07:15:03 GMT) Full text and rfc822 format available.

Message #72 received at 248397@bugs.debian.org (full text, mbox):

From: Colin Watson <cjwatson@debian.org>
To: Martin Naughton <blades2000@gmail.com>
Cc: grub-pc@packages.debian.org, 248397@bugs.debian.org
Subject: Re: Subject: Re: GRUB 2 RFH
Date: Fri, 28 Dec 2012 07:10:23 +0000
On Wed, Dec 12, 2012 at 11:53:54AM +0000, Martin Naughton wrote:
>                 Do you still need help. Me and another guy are interested
> in helping. Can you indicate if you still need help. We are not DD yet but
> we are learning. We can help with the testing of grub and fix bugs while
> you can develop the application. If not help is needed can the ticket be
> closed?

GRUB package maintenance in Debian still certainly needs help; while
we've generally managed to keep one primary maintainer (I came along
well after this RFH was initially filed, and have been the most active
on the team for the last couple of years), Debian really ought to be
able to manage a team with a higher bus factor for its principal boot
loader.  We suffered from that this summer when I had some temporary
motivation problems; if another developer had been sufficiently active
and able to step in it's possible that we'd be shipping wheezy with GRUB
2.00 rather than 1.99.

You can certainly help out with testing and fixing individual bugs
without having to ask in advance (as long as you don't actually close
bugs without asking) - just mail the BTS as appropriate.  I do think we
need more DDs involved, though.

Jonathan is right that we need some kind of wiki documentation here.
I'll see if I can carve out some time soon to write up a skeleton of
such a thing ...

-- 
Colin Watson                                       [cjwatson@debian.org]



Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org:
Bug#248397; Package wnpp. (Sat, 29 Dec 2012 14:45:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Martin Naughton <blades2000@gmail.com>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org. (Sat, 29 Dec 2012 14:45:03 GMT) Full text and rfc822 format available.

Message #77 received at 248397@bugs.debian.org (full text, mbox):

From: Martin Naughton <blades2000@gmail.com>
To: Colin Watson <cjwatson@debian.org>
Cc: grub-pc@packages.debian.org, 248397@bugs.debian.org, mark Mcwalter <bringitondown94@gmail.com>
Subject: Re: Subject: Re: GRUB 2 RFH
Date: Sat, 29 Dec 2012 14:42:34 +0000
[Message part 1 (text/plain, inline)]
Hello Colin,
                Thanks. Will start looking in to the bugs. Started looking
at the grub webpage. Will try out a few bugs fixes.

http://packages.qa.debian.org/g/grub.html

A wiki would be really handy on how to setup.

http://en.wikipedia.org/wiki/GNU_GRUB


-- 
Regards
Martin Naughton


On Fri, Dec 28, 2012 at 7:10 AM, Colin Watson <cjwatson@debian.org> wrote:

> On Wed, Dec 12, 2012 at 11:53:54AM +0000, Martin Naughton wrote:
> >                 Do you still need help. Me and another guy are interested
> > in helping. Can you indicate if you still need help. We are not DD yet
> but
> > we are learning. We can help with the testing of grub and fix bugs while
> > you can develop the application. If not help is needed can the ticket be
> > closed?
>
> GRUB package maintenance in Debian still certainly needs help; while
> we've generally managed to keep one primary maintainer (I came along
> well after this RFH was initially filed, and have been the most active
> on the team for the last couple of years), Debian really ought to be
> able to manage a team with a higher bus factor for its principal boot
> loader.  We suffered from that this summer when I had some temporary
> motivation problems; if another developer had been sufficiently active
> and able to step in it's possible that we'd be shipping wheezy with GRUB
> 2.00 rather than 1.99.
>
> You can certainly help out with testing and fixing individual bugs
> without having to ask in advance (as long as you don't actually close
> bugs without asking) - just mail the BTS as appropriate.  I do think we
> need more DDs involved, though.
>
> Jonathan is right that we need some kind of wiki documentation here.
> I'll see if I can carve out some time soon to write up a skeleton of
> such a thing ...
>
> --
> Colin Watson                                       [cjwatson@debian.org]
>
[Message part 2 (text/html, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org:
Bug#248397; Package wnpp. (Sat, 29 Dec 2012 16:06:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Martin Naughton <blades2000@gmail.com>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org. (Sat, 29 Dec 2012 16:06:03 GMT) Full text and rfc822 format available.

Message #82 received at 248397@bugs.debian.org (full text, mbox):

From: Martin Naughton <blades2000@gmail.com>
To: Colin Watson <cjwatson@debian.org>
Cc: grub-pc@packages.debian.org, 248397@bugs.debian.org, mark Mcwalter <bringitondown94@gmail.com>
Subject: Re: Subject: Re: GRUB 2 RFH
Date: Sat, 29 Dec 2012 16:03:50 +0000
[Message part 1 (text/plain, inline)]
Hello Colin,
                Been looking at the grub2 for debian aswell. Is the help
required with grub 1 or grub 2? i thought grub 1 was being dropped?

http://packages.qa.debian.org/g/grub2.html


-- 
Regards
Martin Naughton
[Message part 2 (text/html, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org:
Bug#248397; Package wnpp. (Sun, 30 Dec 2012 00:00:07 GMT) Full text and rfc822 format available.

Acknowledgement sent to Martin Naughton <blades2000@gmail.com>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org. (Sun, 30 Dec 2012 00:00:08 GMT) Full text and rfc822 format available.

Message #87 received at 248397@bugs.debian.org (full text, mbox):

From: Martin Naughton <blades2000@gmail.com>
To: Colin Watson <cjwatson@debian.org>
Cc: grub-pc@packages.debian.org, 248397@bugs.debian.org, mark Mcwalter <bringitondown94@gmail.com>
Subject: Re: Subject: Re: GRUB 2 RFH
Date: Sat, 29 Dec 2012 23:57:45 +0000
[Message part 1 (text/plain, inline)]
Hello Colin,
                Today i spent the day going through 80% of the bugs in
grub2. Find ones that are duplicate and ones that can be closed. I think
you need a bit of help closing of bugs that have been solved. Brings down
the number and help everyone focus. I have emailed
pkg-grub-devel@lists.alioth.debian.org asking them to close a certain
amount of bugs since they are answered.

Also started investigating a few bugs. Do not know the code base yet but
some of the bugs seem like common sense. Wiki might help with how the build
works.

MIght be able to bring the bugs down from 280 to 240 with some of the work
i done today.


-- 
Regards
Martin Naughton

On Sat, Dec 29, 2012 at 4:03 PM, Martin Naughton <blades2000@gmail.com>wrote:

> Hello Colin,
>                 Been looking at the grub2 for debian aswell. Is the help
> required with grub 1 or grub 2? i thought grub 1 was being dropped?
>
> http://packages.qa.debian.org/g/grub2.html
>
>
> --
> Regards
> Martin Naughton
[Message part 2 (text/html, inline)]

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Sat Apr 19 15:19:37 2014; Machine Name: buxtehude.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.